<template>
  <div class="card" >
    <div class="card__lefr">
      <Slider :images="currentCard.images" :class="{ 'displey-none': windowWidth < 1024 }" />
      <SliderMobil :images="currentCard.images" :class="{ 'displey-none': windowWidth >= 1024 }" />
    </div>
    <div class="line"></div>
    <div class="card__rigth" v-touch:swipe.right="handleSwipeRight">

      <router-link to="/">
        <svg width="53" height="25" viewBox="0 0 53 25" fill="none" xmlns="http://www.w3.org/2000/svg">
          <path d="M48.75 22.1503L38.7211 12.5L48.75 2.8497L48.75 22.1503Z" stroke="#383838" />
          <path d="M10.75 22.1503L0.721111 12.5L10.75 2.8497L10.75 22.1503Z" stroke="#383838" />
          <path d="M19 12.5L30.25 1.67468L30.25 23.3253L19 12.5Z" fill="#383838" />
          <path d="M38 12.5L49.25 1.67468L49.25 23.3253L38 12.5Z" fill="#383838" />
        </svg>
      </router-link>
      <div class="card__rigth-header flex justify-between">
        <div class="card__rigth-title-price">
          <div class="card__rigth-title">
            <h2>{{ currentCard.title }}</h2>
          </div>
          <div class="card__rigth-price ">
            <p>{{ currentCard.price }} РУБ</p>
          </div>
        </div>
        <router-link :to="`/FormPages/${currentCard.title}`" class="self-end">
          <my-btn class="my-btn-card ">ХОЧУ КУПИТЬ</my-btn>
        </router-link>

      </div>
      <hr>

      <div class="card__rigth-body flex">

        <div class="card__rigth-size">
          <h3>РАЗМЕР</h3>
           <p>{{ currentCard.size}} см</p> 
        </div>



        <div class="card__rigth-color">
          <h3>ЦВЕТ</h3>
          <div class="flex items-center">
           <p>{{ currentCard.color}}</p>
          </div>
        </div>




        <div class="card__rigth-material">
          <h3>МАТЕРИАЛ</h3>
          <div class="flex">
            <p>{{ currentCard.material }} </p>
          </div>
        </div>


        <div class="card__rigth-info">
          <h3>Информация</h3>
          <p v-html="infoCard">
            </p>
        </div>


        <div class="card__rigth-delivery">
          <h3>Доставка</h3>
            <p v-html="descriptionCard">
            </p>
      </div> 
      </div> 
    </div>
  </div>
</template>

<script>
import MyBtn from "../elements/MyBtn.vue";
import Slider from "../elements/Slider.vue";
import SliderMobil from "../elements/SliderMobil.vue";
import { mapState } from "vuex";



export default {
  data() {
    return {
      descriptionCard: '', // Инициализация переменной
      infoCard: '' // Инициализация переменной
    }
  },
  components: { MyBtn, Slider, SliderMobil },
  computed: {
    ...mapState(["currentCard"]), // Использование состояния из Vuex
    windowWidth() {
      return window.innerWidth; // Вычисляемое свойство для ширины окна
    }
  },
  mounted() {
    window.addEventListener("resize", this.updateWindowWidth); // Добавление слушателя события
    this.setDe(); // Вызов метода для установки описания при монтировании компонента
  },
  beforeDestroy() {
    window.removeEventListener("resize", this.updateWindowWidth); // Удаление слушателя события
  },
  methods: {
    setDe() {
      this.descriptionCard = this.currentCard.description;
      this.descriptionCard = this.descriptionCard.replace(/&&/g, '<p style="margin-top: 10px; line-height: 1.3;">');
      this.descriptionCard = this.descriptionCard.replace(/&/g, '<br>');

      this.infoCard = this.currentCard.info;
      this.infoCard = this.infoCard.replace(/&&/g, '<p style="margin-top: 10px; line-height: 1.3;">');
      this.infoCard = this.infoCard.replace(/&/g, '<br>');
    },
    updateWindowWidth() {
      this.$nextTick(() => {
        console.log(this.windowWidth); // Логирование текущей ширины окна
      });
    },
    handleSwipeRight() {

      this.$router.go(-1)
    },

  }
};
</script>


<style scoped>

h2 {
  font-size: 36px;
  color: #383838;
  margin-top: -15px;
}

.displey-none {
  display: none;
}

.line {
  min-height: 100vh;
  width: 0.5px;
  background: rgba(85, 82, 77, 1);
}

.card__lefr {
  width: 50%;
  display: block;
  justify-content: center;
  padding: 40px;
  min-height: 100vh;
}

.card__rigth {
  display: flex;
  flex-direction: column;
  padding: 40px;
  width: 50%;
  min-height: 100vh;
  position: relative;
}

.card__rigth svg {
  position: absolute;
  right: 36px;
  top: 77px;
}

.card__rigth-header {
  margin-top: 40px;
  height: 117px;
}

hr {
  border-top: 0.5px solid #55524D;
  margin-top: 10px;
}

.card__rigth-body {
  flex-direction: column;
  height: 100%;
  padding: 0 0 33px;
}

.card h3 {
  color: #383838;
  font-family: 'Zen Dots';
  font-size: 15px;
  font-style: normal;
  font-weight: 400;
  line-height: normal;
  text-transform: uppercase;
  margin-top: 60px;
}

.card p {
  color: #6B6B6B;
  font-family: 'Zen Antique Soft', serif;
  font-size: 15px;
  font-style: normal;
  font-weight: 400;
  line-height: normal;

}

.card {
  display: flex;
  min-height: 100vh;
}


.my-btn-card {
  padding: 8px 48px 9px 47px;
  flex-shrink: 0;
  color: #F1F1EF;
  font-family: "Zen Dots";
  font-size: 15px;
  font-style: normal;
  font-weight: 400;
  line-height: normal;
  text-transform: uppercase;
  background: #383838;
}


@media (max-width:1024px) {

  .card__rigth svg {
    display: none;
  }

  .card__rigth-price p {
    margin: 1px 0 0 3px;
    color: #6B6B6B;
    font-size: 10px;
  }

  .card {
    display: grid;
    grid-template-columns: repeat(1, 1fr);

  }

  .card__lefr {
    padding: 60px 0 0;
    width: 100%;
    min-height: 100%;

  }

  .card__rigth {
    min-height: 100%;
    padding: 30px 0px 21px;
    width: 303px;
    margin: 0 auto;
  }


  .line {
    display: none;
  }

  .card h3 {
    margin-top: 20px;
    font-size: 12px;
  }

  .card p {
    color: #6B6B6B;
    font-size: 10px;
    font-weight: 400;
  }

  .card__rigth-header {
    margin: 10px 0 0;
    height: 60px;
  }


  h4 {
    color: #383838;
    font-family: "Zen Antique Soft";
    font-size: 18px;
    font-weight: 400;
  }

  .my-btn-card {
    width: 142px;
    height: 20px;
    padding: 0 6px 0 0;
    font-size: 10px;
    display: flex;
    align-items: center;
    justify-content: end;
    margin-top: 40px;
  }


  h2 {
    font-size: 18px;
  }

}

@media (max-width: 767.98px) {

  .card__rigth-price p {
    margin-top: 1px;
    color: #6B6B6B;
    font-size: 10px;
  }

  .card {
    display: grid;
    grid-template-columns: repeat(1, 1fr);

  }

  .card__lefr {
    padding: 45px 0 0;
    width: 100%;
    min-height: 100%;
  }

  .line {
    display: none;
  }

  .card__rigth {
    min-height: 100%;
    padding: 0px 15px;
    width: 100%;

  }

  .card h3 {
    margin-top: 20px;
  }

  .card p {
    margin-top: 3px;
    color: #6B6B6B;
    font-size: 10px;
    font-weight: 400;
  }

  .card__rigth-header {
    margin: 10px 0 0;
    height: 70px;
  }


  h4 {
    color: #383838;
    font-family: "Zen Antique Soft";
    font-size: 18px;
    font-weight: 400;
  }

  .my-btn-card {
    width: 142px;
    height: 20px;
    padding: 0 6px 0 0;
    font-size: 10px;
    display: flex;
    align-items: center;
    justify-content: end;
    margin-top: 40px;
  }

  h2 {
    font-size: 18px;
    margin-top: 0px;
  }
}
</style>